about summary refs log tree commit diff
path: root/converter/other
diff options
context:
space:
mode:
Diffstat (limited to 'converter/other')
-rwxr-xr-xconverter/other/anytopnm5
1 files changed, 2 insertions, 3 deletions
diff --git a/converter/other/anytopnm b/converter/other/anytopnm
index 6c56b5ef..99740f79 100755
--- a/converter/other/anytopnm
+++ b/converter/other/anytopnm
@@ -507,9 +507,8 @@ else
 fi
 
 tempdir="${TMPDIR-/tmp}/anytopnm.$$"
-mkdir $tempdir || { echo "Could not create temporary file. Exiting."; exit 1;}
-chmod 700 $tempdir
-
+mkdir -m 0700 $tempdir || \
+  { echo "Could not create temporary file. Exiting."; exit 1;}
 trap 'rm -rf $tempdir' 0
 
 # Take out all spaces